html {
  height: 100%;
}

body {
  min-height: 100%;
}

.readonly[readonly] {
  background: #fff !important;
}

.p-description {
  color: #aeaeae;
}

.readonly[readonly]:hover {
  cursor: pointer !important;
}

.form-control-login {
  height: 48px !important;
}

.form-control-login:focus {
  outline: none !important;
  box-shadow: 0 3px 6px 0 rgb(0 0 0 / 15%) !important;
  border: 2px solid #3c8dbc;
}

.slick-slider .slide-img-bg {
  opacity: 1 !important;
}

/* LOADING DATA */
.sk-chase {
  width: 40px;
  height: 40px;
  margin: 0 auto;
  position: relative;
  animation: sk-chase 2.5s infinite linear both;
}

.sk-chase-dot {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  animation: sk-chase-dot 2.0s infinite ease-in-out both;
}

.sk-chase-dot:before {
  content: '';
  display: block;
  width: 25%;
  height: 25%;
  background-color: #fff;
  border-radius: 100%;
  animation: sk-chase-dot-before 2.0s infinite ease-in-out both;
}

.sk-chase-dot:nth-child(1) {
  animation-delay: -1.1s;
}

.sk-chase-dot:nth-child(2) {
  animation-delay: -1.0s;
}

.sk-chase-dot:nth-child(3) {
  animation-delay: -0.9s;
}

.sk-chase-dot:nth-child(4) {
  animation-delay: -0.8s;
}

.sk-chase-dot:nth-child(5) {
  animation-delay: -0.7s;
}

.sk-chase-dot:nth-child(6) {
  animation-delay: -0.6s;
}

.sk-chase-dot:nth-child(1):before {
  animation-delay: -1.1s;
}

.sk-chase-dot:nth-child(2):before {
  animation-delay: -1.0s;
}

.sk-chase-dot:nth-child(3):before {
  animation-delay: -0.9s;
}

.sk-chase-dot:nth-child(4):before {
  animation-delay: -0.8s;
}

.sk-chase-dot:nth-child(5):before {
  animation-delay: -0.7s;
}

.sk-chase-dot:nth-child(6):before {
  animation-delay: -0.6s;
}

@keyframes sk-chase {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes sk-chase-dot {

  80%,
  100% {
    transform: rotate(360deg);
  }
}

@keyframes sk-chase-dot-before {
  50% {
    transform: scale(0.4);
  }

  100%,
  0% {
    transform: scale(1.0);
  }
}

.app-header__logo .logo-src {
  height: 100% !important;
  width: 150px !important;
  background: url(https://galesong.co.id/public/galesong.webp) !important;
  background-size: 100% !important;
  background-position: center !important;
  background-repeat: no-repeat !important;
}

.card-header.text-left>* {
  font-size: 0.7rem !important;
}

.card-header.text-left>.badge {
  font-size: 0.6rem !important;
}

.card-header {
  height: 3rem !important;
}

.widget-content-left>*,
.widget-content-right>* {
  font-size: 0.7rem;
}

.forms-wizard-alt .forms-wizard li {
  font-size: .75rem;
}

.small,
small {
  font-size: 70%;
  font-weight: 400;
}

.no-gutters.withhover:hover {
  background: #f3f3f3;
}

.hoverPointer:hover {
  cursor: pointer;
}

.dropdown-menu.dropdown-menu-lg {
  min-width: 25rem;
}

.was-validated .form-control:valid,
.form-control.is-valid,
.was-validated .form-control:invalid,
.form-control.is-invalid {
  background-position: center right calc(6rem / 4);
  padding-right: 12px;
}

.form-control.is-valid,
.was-validated .form-control:valid,
.form-control.is-invalid,
.was-validated .form-control:invalid {
  background-image: none !important;
}

.no-padding {
  padding-left: 0px !important;
  padding-right: 0px !important;
  padding-top: 0px !important;
}

.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  background-color: #6c757d !important;
}

.modal {
  padding-right: 0px !important;
  padding-left: 0px !important;
}

.modal-content {
  background-color: #eeeeee;
}

.modal-header {
  border: 0px;
  border-radius: 0px !important;
  background: #fff;
  box-shadow: 0 0.46875rem 2.1875rem rgb(4 9 20 / 3%), 0 0.9375rem 1.40625rem rgb(4 9 20 / 3%), 0 0.25rem 0.53125rem rgb(4 9 20 / 5%), 0 0.125rem 0.1875rem rgb(4 9 20 / 3%) !important;
  z-index: 1000;
}

.widget-content .widget-content-left .widget-heading {
  opacity: 1 !important;
  font-size: 0.7rem;
}

.app-header .header-user-info>.widget-subheading {
  font-size: .7rem;
}

.widget-content .widget-numbers {
  font-weight: 700;
  font-size: 1.2rem;
  display: block;
}

.widget-chart .widget-numbers {
  font-weight: 700;
  font-size: 1rem;
  display: block;
  line-height: 1;
  margin: 1rem auto;
}

.widget-chart .widget-numbers-original {
  font-weight: 700;
  font-size: 1.3rem;
  display: block;
  line-height: 1;
  margin: 1rem auto;
}

.btn-actions-pane-right {
  font-weight: 400;
}

.widget-chart.text-left .widget-chart-content .widget-description {
  font-size: 0.7rem;
}

.searchc {
  border-color: #DFDFDF;
  box-shadow: 0 0.46875rem 2.1875rem rgb(4 9 20 / 3%), 0 0.9375rem 1.40625rem rgb(4 9 20 / 3%), 0 0.25rem 0.53125rem rgb(4 9 20 / 5%), 0 0.125rem 0.1875rem rgb(4 9 20 / 3%);
}

.searchc::placeholder {
  color: #9c9c9c;
}

.widget-content-left {
  width: auto !important;
}

.widget-content-left:hover {
  cursor: pointer;
}

/* LOADING DATA */

/* PUBLIC CSS */

.select2-results__option {
  padding: 3px !important;
  font-size: 11px !important;
}

.moment-text {
  font-size: 0.7rem;
  color: #9c9c9c;
  font-weight: bold;
}

.loading {
  width: 100%;
  height: 100vh;
  visibility: hidden;
  opacity: 0;
  position: fixed;
  top: 0px;
  background: rgba(0, 0, 0, 0.6);
  z-index: 9999;
  display: flex !important;
  align-items: center;
  justify-content: center;
  transition: visibility 0.5s, opacity 0.5s linear;
}

.icon-1 {
  font-size: 1.2rem;
  font-weight: bold;
}

.pointerOnHover:hover {
  cursor: pointer;
}

.app-main .app-main__inner {
  padding: 15px !important;
}

.app-footer {
  height: auto !important;
}

.card-scroll {
  max-height: 77vh !important;
  overflow-y: auto !important;
}

.list-group-item:hover {
  cursor: pointer;
  background: #f7f7f7;
}

.modal-open .modal2nd {
  background: rgb(0 0 0 / 83%);
}

.modal-open .modal {
  background: rgb(0 0 0 / 83%);
}

.highlightTdBody {
  background: #e0e0e0;
  padding-right: 5px !important;
  font-weight: 700 !important;
}

.highlightTdFoot {
  background: #e0e0e0;
}

.highlightTdBody:hover,
.highlightTdFoot:hover {
  background: #cccccc;
}

.btn-sm {
  padding: .15rem .4rem !important;
}

.box-shadow {
  box-shadow: 0 .46875rem 2.1875rem rgba(4, 9, 20, .03), 0 .9375rem 1.40625rem rgba(4, 9, 20, .03), 0 .25rem .53125rem rgba(4, 9, 20, .05), 0 .125rem .1875rem rgba(4, 9, 20, .03);
}

.loading.active {
  visibility: visible;
  opacity: 1;
  display: flex !important;
  transition: visibility 0.5s, opacity 0.5s linear !important;
}

.form-control {
  border-color: #c2c2c2;
  font-size: .8rem !important;
}

.form-control.is-valid,
.was-validated .form-control:valid {
  background-position: center right calc(2.25rem / 1.5);
}

.card-header>.nav .nav-link:hover {
  font-size: 0.8rem !important;
}

/* Custom */

.bold-1>b {
  font-weight: bold;
}

.button-1 {
  border: 1px solid #C2C2C2;
  background: #fff;
  color: #444;
  height: 37.5px;
  font-size: 1rem !important;
  font-weight: 400;
}

#toast-container>div {
  width: 25em !important;
}

.print {
  display: none;
}

.print.active {
  display: block !important;
}

.app-page-title {
  padding: 15px;
  margin: -15px -15px 10px;
  position: relative;
}

.form-control-sm {
  height: calc(1.55rem + 2px) !important;
  border-radius: 0px !important;
}

.app-header .app-header__content {
  padding: 0 1rem !important;
}

.table-custom>thead {
  background: #3f6ad8 !important;
  border: 0px;
}

.table-sticky>tbody {
  display: block;
  max-height: 300px !important;
  /* tinggi scrollable area */
  overflow-y: auto;
}

.theadSticky>thead>tr>th {
  position: sticky !important;
  top: 83px !important;
  z-index: 101;
}

.table-sticky>thead,
.table-sticky>tbody>tr {
  display: table;
  width: 100%;
  table-layout: fixed;
  /* agar kolom sejajar */
}

.table-sticky>thead>th {
  position: sticky !important;
  top: 0;
  z-index: 2;
  /* agar tidak tertutup saat scroll */
}

/* .scrollbar-sidebar:hover{
  overflow-y :scroll;
}
.scrollbar-sidebar::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  background-color: #CCCCCC;
}

.scrollbar-sidebar::-webkit-scrollbar {
  width: 6px;
  background-color: #CCCCCC;
} */

.scrollbar-sidebar::-webkit-scrollbar-thumb {
  background-color: #888888;
}

.justify-content {
  display: flex;
  justify-content: end;
  align-items: center;
}

.app-sidebar__heading {
  text-transform: uppercase;
  font-size: .75rem;
  margin: 1rem 0;
  margin-bottom: .3rem;
  font-weight: 700;
  color: #3f6ad8;
  white-space: nowrap;
  position: relative;
}

.app-main__outer {
  width: 100% !important;
}

.table-custom>thead>tr>th {
  color: #fff !important;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 55%;
  padding: 5px 2px;
}

.table-custom>tfoot>tr>td {
  color: #000 !important;
  font-weight: 500;
  text-transform: uppercase;
  font-size: 70%;
}

.uppercase {
  text-transform: uppercase;
}

.widget-subheading {
  font-size: 85%;
  opacity: .7 !important;
}

.widget-chart .widget-numbers {
  font-size: 0.85rem;
  margin-top: 5px !important;
  margin-bottom: 15px;
}

.ioncss {
  color: #d92550;
  font-size: 0.8rem;
  position: relative;
  top: 2px;
}

.tdOnHover:hover>span {
  color: #3f6ad8;
}

.tdOnHover:hover {
  color: #3f6ad8 !important;
}

.container1 {
  position: relative;
  width: 100%;
}

.image {
  opacity: 1;
  display: block;
  width: 100%;
  height: auto;
  transition: .2s ease;
  backface-visibility: hidden;
}

.middle {
  transition: .2s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

.container1:hover .image {
  opacity: 0.3;
}

.container1:hover .middle {
  opacity: 1;
}

.text {
  background-color: #04AA6D;
  color: white;
  font-size: 16px;
  padding: 16px 32px;
}

.img-wrapper-circle-13 {
  width: 100%;
  position: relative;
  overflow: hidden;
  display: flex;
}

.img-gallery {
  width: 100%;
}

.img-circle-13 {
  position: absolute;
  border-radius: 0% !important;
  height: auto;
  width: 120% !important;
  left: 50%;
  transform: translate(-50%, 0);
}

.badge {
  padding: 2px !important;
  font-weight: 500 !important;
  border-radius: 0px !important;
}

.td-danger {
  background: rgb(255 0 0 / 3%) !important;
}

.td-danger>td {
  font-weight: bold !important;
}

.td-warning {
  background: rgb(255 193 7 / 10%);
}

.td-success {
  background: rgb(58 196 125 / 18%);
}

.parentHover {
  background: rgb(58 196 125 / 18%);
}

.forms-wizard li.done .nav-link {
  color: #000;
}

.grandTotalTable {
  background: rgb(158 158 158 / 10%) !important;
  border-bottom: 1px solid #3f6ad855;
}

.grandTotalTable:last-child {
  border-bottom: 0px solid #3f6ad855;
}

.overflow::-webkit-scrollbar-track {
  background-color: #F1F1F1;
}

.overflow::-webkit-scrollbar {
  width: 6px;
  background-color: #C1C1C1;
}

.overflow::-webkit-scrollbar-thumb {
  background-color: #a1a1a1;
}

.haAclf {
  padding: 0px !important;
}

.datepicker-dropdown {
  z-index: 99999 !important;
}

.select2-container .select2-selection--single {
  height: 27px !important;
}

.fontCode {
  letter-spacing: 1px;
  font-family: monospace;
  font-weight: bold;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 27px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 26px;
  right: 5px;
}

.select2-container .select2-selection--single .select2-selection__rendered {
  padding-left: 6px !important;
  font-size: 0.66rem !important;
}

.table-custom>tbody>tr>td {
  font-weight: 400;
  font-size: 70%;
  padding: 3px;
}

.table-custom>tbody>tr>td:first-child,
.table-custom>thead>tr>th:first-child {
  padding-left: 7px;
}

.table-custom>tbody>tr>td:last-child,
.table-custom>thead>tr>th:last-child {
  padding-right: 7px;
}

.table-custom>tbody>tr>td:first-child,
.table-custom>thead>tr>td:first-child {
  padding-left: 7px;
}

.table-custom>tbody>tr>td:last-child,
.table-custom>thead>tr>td:last-child {
  padding-right: 7px;
}

.table-custom>tbody>tr>td:hover {
  cursor: pointer;
}

.cursor-pointer {
  cursor: pointer;
}

.table-custom1 {
  border: 1px solid #3F6AD8;
  background: #fff;
  width: 100%;
}

.table-custom1>thead>tr>th:hover {
  background: #2a51b2;
  cursor: pointer;
}

.card-header>.nav .nav-link {
  font-weight: 500 !important;
  font-size: 0.8rem !important;
}

.table-custom1>tbody>tr>td {
  padding: 2px;
}


.table-custom22 {
  border: 1px solid rgb(158 158 158 / 10%) !important;
  background: #fff;
  width: 100%;
  font-size: 0.6rem !important;
}

.table-custom22>thead>tr>th:hover {
  background: rgb(158 158 158 / 10%) !important;
  cursor: pointer;
}

.table-custom22>thead>tr>th {
  background: rgb(158 158 158 / 10%) !important;
  font-size: 0.5rem !important;
  padding: 3px 2px;
}

.table-custom22>tbody>tr>td {
  padding: 2px;
  font-size: 0.6rem !important;
}

.table-custom22>tfoot>tr>td {
  font-size: 0.6rem !important;
  padding: 2px;
}

.table-custom22>thead>tr:hover {
  background: #3F6AD8 !important;
}

.table-active,
.table-active>td,
.table-active>th {
  font-weight: bold !important;
}

.fadeShow {
  opacity: 0;
}

.fadeShow.ng-show {
  opacity: 1;
  /* final hidden state */
}

.form-custom {
  border: 1px solid #C2C2C2;
  background: #fff;
  border-radius: 0px;
  padding: 2px 5px;
  height: 25px !important;
  color: #000000;
  font-size: 0.7rem !important;
  font-weight: 400;
}

.td-inventory {
  background: rgb(63 106 216 / 3%);
}

.td-biaya {
  background: rgb(247 184 36 / 3%);
}

.card-body {
  padding: 0.5rem;
}

.select2-container--default .select2-selection--single {
  border: 1px solid #C2C2C2 !important;
  border-radius: 0px;
  background: #fff;
}

.table-1 td,
.table-1 th {
  border-top: 0px;
}

.table-1>tbody>tr>td {
  padding: 3px;
}

.modal-lg,
.modal-xl {
  max-width: 100% !important;
  margin: 0px !important;
}

.modal-md {
  max-width: 75% !important;
}

.modal-content {
  border: 0px !important;
}

.modal-body>.card>.card-header {
  border-radius: 0px !important;
}

.modal-body {
  padding-bottom: 0px !important;
}

.card-header:first-child {
  border-radius: 0px !important;
}

/* .widget-content .widget-content-left .widget-heading{
  color:#fff!important;
  opacity:1!important;
}
.widget-content .widget-content-left .widget-subheading{
  color:#fff!important;
  opacity:.8!important;
} */
.dropzone {
  background: white;
  border-radius: 0px;
  border: 2px dashed rgb(0, 135, 247);
  border-image: none;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding: 0px !important;
  display: flex !important;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  transition: 0.2s all ease-out;
}

.dropzone .dz-preview .dz-image {
  border-radius: 0px;
}

.dropzone:hover {
  background: rgb(231, 231, 231);
  transition: 0.2s all ease-in;
}

/* TOOLTIP */
.tooltip.in {
  filter: alpha(opacity=90);
  opacity: .9;
}

.tooltip.top {
  padding: 5px 0;
  margin-top: -3px;
}

.tooltip.right {
  padding: 0 5px;
  margin-left: 3px;
}

.tooltip.bottom {
  padding: 5px 0;
  margin-top: 3px;
}

.tooltip.left {
  padding: 0 5px;
  margin-left: -3px;
}

.tooltip-inner {
  max-width: 200px;
  padding: 3px 8px;
  color: #fff;
  text-align: center;
  background-color: #000;
  border-radius: 4px;
}

.tooltip-arrow {
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
}

.tooltip.top .tooltip-arrow {
  bottom: 0;
  left: 50%;
  margin-left: -5px;
  border-width: 5px 5px 0;
  border-top-color: #000;
}

.tooltip.top-left .tooltip-arrow {
  right: 5px;
  bottom: 0;
  margin-bottom: -5px;
  border-width: 5px 5px 0;
  border-top-color: #000;
}

.tooltip.top-right .tooltip-arrow {
  bottom: 0;
  left: 5px;
  margin-bottom: -5px;
  border-width: 5px 5px 0;
  border-top-color: #000;
}

.tooltip.right .tooltip-arrow {
  top: 50%;
  left: 0;
  margin-top: -5px;
  border-width: 5px 5px 5px 0;
  border-right-color: #000;
}

.tooltip.left .tooltip-arrow {
  top: 50%;
  right: 0;
  margin-top: -5px;
  border-width: 5px 0 5px 5px;
  border-left-color: #000;
}

.tooltip.bottom .tooltip-arrow {
  top: 0;
  left: 50%;
  margin-left: -5px;
  border-width: 0 5px 5px;
  border-bottom-color: #000;
}

.tooltip.bottom-left .tooltip-arrow {
  top: 0;
  right: 5px;
  margin-top: -5px;
  border-width: 0 5px 5px;
  border-bottom-color: #000;
}

.tooltip.bottom-right .tooltip-arrow {
  top: 0;
  left: 5px;
  margin-top: -5px;
  border-width: 0 5px 5px;
  border-bottom-color: #000;
}

.card {
  border-radius: 0px !important;
}

.table-hyundai {
  font-size: 0.7rem;
}

.table-hyundai>tbody>tr>th {
  border-color: #000;
  border-bottom: 0px solid #000;
  border-top: 0px solid #000;
  background-color: #DDDDDD;
  color: #000;
  font-size: 0.6rem;
  /* font-family: 'Courier New', Courier, monospace; */
  font-weight: bold;
  padding-left: 5px;
  padding-right: 5px;
}

.table-hyundai>tbody>tr>td {
  border-bottom: 0px solid #000;
  color: #000;
  /* font-family: 'Courier New', Courier, monospace; */
  border-top: 0px;
  padding: 2px 3.5px;
}

.table-hyundai>tbody>tr.bg-tolak>td {
  color: #fff;
}

.detailsKonsumenBM.show {
  background: rgba(0, 0, 0, 0.684);
}

.table-hyundai>thead>tr>th {
  border-bottom: 1px solid #000;
  border-top: 1px solid #000 !important;
  padding: 10px 5px;
}

.table-hyundai>tfoot>tr>td {
  border-top: 1px solid #000;
  padding: 10px 5px;
  font-weight: bold;
  color: #000;
}

.table-hyundai>tbody>.trhover:hover {
  background: #f1f4f6;
  cursor: pointer;
}

/* .table-hyundai > tbody > .top-header {
  border-top:1px solid #000;
} */

.table-hyundai-1>tbody>tr:last-child {
  border: 0px;
  border-bottom: 1px solid #000;
}

.table-hyundai-1 tbody+tbody {
  border-top: 0px;
}

.prompt-1 {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1000;
  margin: 0 auto;
  width: 100%;
  height: 100%;
  background: rgb(0 0 0 / 90%);
  display: flex;
  justify-content: center;
  align-items: center;
}

.prompt-2 {
  width: 50%;
  margin: auto;
  background: #fff;
  padding: 25px;
  box-shadow: 0 3px 6px 0 rgb(0 0 0 / 15%) !important;
}

.form-control-sm {
  border-color: #c2c2c2;
  font-size: .66rem !important;
}

@media (max-width: 600px) {
  body {
    font-size: 0.8rem !important;
  }

  .alert-dismissible {
    padding-right: 1.25rem !important;
  }

  .widget-content .widget-content-wrapper {
    align-items: flex-start !important;
  }

  .marginonmobileheader {
    margin-top: 50px;
  }

  .form-group {
    margin-bottom: 1.5rem;
    ;
  }

  .card {
    border-radius: 0px !important;
  }

  .btn-block-mobile {
    width: 100%;
    margin-top: 10px;
  }

  .hamburger-inner,
  .hamburger-inner::before,
  .hamburger-inner::after {
    background-color: #fff !important;
  }

  .app-header__logo .logo-src {
    height: 35px !important;
    width: 140px !important;
    background: url(../../../public/images/galesong-putih.png) !important;
    background-size: 100% !important;
  }

  .table-hyundai {
    width: 1400px !important;
  }

  .centerNameStatus {
    position: relative;
    top: 7px;
  }

  .prompt-2 {
    width: 100%;
  }

  .form-control {
    font-size: 1rem !important;
  }
}